var jtbc = window.jtbc || {};
jtbc.help = {
  para: [],
  obj: null,
  initMenuEvents: function()
  {
    var tthis = this;
    tthis.obj.find('.menu li span').on('click', function(){
      var thisObj = $(this);
      thisObj.parent().find('dd').eq(0).trigger('click');
    });
    tthis.obj.find('.menu dd').on('click', function(){
      var thisObj = $(this);
      if (tthis.para['menu-lock'] != true)
      {
        tthis.para['menu-lock'] = true;
        var parentObj = thisObj.parent().parent().parent();
        parentObj.find('li').removeClass('on');
        parentObj.find('dd').removeClass('on');
        thisObj.addClass('on').parent().parent().addClass('on');
        tthis.obj.find('.content').html('<h1>Loading..</h1>');
        $.get(thisObj.attr('url'), function(data){
          var dataObj = $(data);
          var jsObj = dataObj.find('js');
          tthis.para['menu-lock'] = false;
          location.href = '#' + thisObj.attr('url');
          $('html,body').animate({'scrollTop': '0'}, 300);
          tthis.obj.find('.content').html(dataObj.find('content').text());
          tthis.obj.find('.content').find('pre code').each(function(i, block) {
            hljs.highlightBlock(block);
          });
          tthis.obj.find('a.jump').on('click', function(){
            var hrefText = $(this).attr('href');
            var jumpObj =  tthis.obj.find('.menu dd[url=\'' + hrefText.substr(1) + '\']');
            if (jumpObj.length == 1) jumpObj.trigger('click');
          });
        });
      };
    });
    var currentURL = location.href.substr(location.href.lastIndexOf('#') + 1);
    if (location.href == currentURL) tthis.obj.find('.menu dd').eq(0).trigger('click');
    else
    {
      var ddObj =  tthis.obj.find('.menu dd[url=\'' + currentURL + '\']');
      if (ddObj.length == 1) ddObj.trigger('click');
      else tthis.obj.find('.menu dd').eq(0).trigger('click');
    };
  },
  loadMenuXML: function()
  {
    var tthis = this;
    $.get('menu.xml', function(data){
      var dataObj = $(data);
      dataObj.find('li').each(function(){
        var thisObj = $(this);
        var liObj = $('<li><span>' + thisObj.attr('title') + '</span><dl></dl></li>');
        tthis.obj.find('.menu ul').append(liObj);
        thisObj.find('dd').each(function(){ liObj.find('dl').append('<dd url="' + $(this).attr('url') + '"><em>' + $(this).attr('title') + '</em></dd>'); });
      });
      tthis.initMenuEvents();
    });
  },
  ready: function()
  {
    var tthis = this;
    tthis.obj = $('.wrap');
    tthis.loadMenuXML();
  }
};